- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties

# QTimer Class Reference

Search for all occurrences

## Detailed Description

Definition at line 56 of file qtimer.h.

`#include <qtimer.h>`

Inheritance diagram for QTimer:
[legend]

List of all members.

## Public Slots
void | start (int msec)
void | start ()
void | stop ()
## Signals
void | timeout ()
## Public Member Functions
| QTimer (QObject *parent=0)
| ~QTimer ()
bool | isActive () const
int | timerId () const
void | setInterval (int msec)
int | interval () const
void | setSingleShot (bool singleShot)
bool | isSingleShot () const
## Static Public Member Functions
static void | singleShot (int msec, QObject *receiver, const char *member)
## Protected Member Functions
void | timerEvent (QTimerEvent *)
## Properties
bool | singleShot
int | interval
bool | active

## Constructor & Destructor Documentation

QTimer | ( | QObject * | parent = `0` | ) | `[explicit]`

~QTimer | ( |  | ) |

## Member Function Documentation

bool isActive | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 69 of file qtimer.h.

    { return id >= 0; }

int timerId | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 70 of file qtimer.h.

    { return id; }

void setInterval | ( | int | msec | ) |

Search for all occurrences

int interval | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 73 of file qtimer.h.

    { return inter; }

void setSingleShot | ( | bool | singleShot | ) | `[inline]`

Search for all occurrences

Definition at line 108 of file qtimer.h.

    { single = asingleShot; }

bool isSingleShot | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 76 of file qtimer.h.

    { return single; }

static void singleShot | ( | int | msec,
|  | QObject * | receiver,
|  | const char * | member
| ) |  | `[static]`

Search for all occurrences

void start | ( | int | msec | ) | `[slot]`

Search for all occurrences

void start | ( |  | ) | `[slot]`

Search for all occurrences

void stop | ( |  | ) | `[slot]`

Search for all occurrences

void timeout | ( |  | ) | `[signal]`

Search for all occurrences

void timerEvent | ( | QTimerEvent * |  | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

## Property Documentation

bool singleShot `[read, write]`

Search for all occurrences

Definition at line 59 of file qtimer.h.

int interval `[read, write]`

Search for all occurrences

Definition at line 60 of file qtimer.h.

bool active `[read]`

Search for all occurrences

Definition at line 61 of file qtimer.h.

The documentation for this class was generated from the following file:

- QtCore/qtimer.h

QTimer QTimer QTimer QTimer QTimer QTimer QTimer QTimer QTimer QTimer
QTimer QTimer QTimer QTimer QTimer QTimer QTimer QTimer QTimer QTimer